[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoGetDefaultBinName

Performs actions needed to get the name for the default bin on the selected printer.

## Declaration

Source position: printers.pas line 287

`protected function TPrinter.DoGetDefaultBinName: string; virtual;`

## Function result

Name for the default paper bin on the current printer.

## Description

Remark: | In TPrinter, DoGetDefaultBinName always returns an empty string(''). It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used in the implementation.